package repository

import (
	. "gitlab.ost.ch/marketminds/marketminds/pkg/entity"
)

type SentimentResultRepository interface {
	GetById(id int) (*SentimentResult, error)
	Create(entity *SentimentResult) error
	Update(entity *SentimentResult) error
	Delete(id int) error
}
